%define name		perl-GTK
%define real_name	Gtk-Perl
%define version		0.7009
%define release		%mkrel 5

%ifnarch ia64
%define MozEmbed 0
%else
%define MozEmbed 0
%endif

%if %{MozEmbed}
%define dirs . Mozilla
%else
%define dirs .
%endif

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl module for the gtk+ library
License:	GPL
Group:		Development/Perl
URL:		http://numeric.adr.com/Perl/Perl5Modules.html
Source:		http://www.cpan.org/authors/id/L/LU/LUPUS/%{real_name}-%{version}.tar.bz2
Patch0:		Gtk-Perl-add-ensure_focus.patch
Patch1:		Gtk-Perl-0.7003-workaround-gdk_event_copy-withnowindow.patch
Patch2:		Gtk-Perl-0.7005-add-XSetInputFocus.patch
#	fix compilation with gtkhtml >= 1.1.0
Patch3:		Gtk-Perl-0.7009-gtkhtml11.patch
Patch4:		Gtk-Perl-0.7009-fix-mozilla.patch
Patch7:		Gtk-Perl-0.7009-force-GtkHTML-and-no-GtkXmHTML.patch
Patch8:		Gtk-Perl-0.7008-fix-memory-leak-with-Gdk::Pixmap-created-from-a-Gdk::Pixbuf.patch
%if	%{MozEmbed}
BuildRequires:	mozilla-devel
%endif
BuildRequires:	gtkglarea-devel	>= 1.2.1
BuildRequires:	gtkhtml-devel	>= 1.1.0
BuildRequires:	mesaglu-devel
BuildRequires:	perl-devel	>= 5.004
BuildRequires:	perl-XML-Parser
BuildRequires:	perl-XML-Writer
BuildRoot:	%{_tmppath}/%{name}-%{version}

%package GdkPixbuf
Summary:	Perl module for the gtk+ GdkPixbuf library
Group:		Development/Perl
Provides:	perl(Gtk::Gdk::Pixbuf::Types)

%package GdkImlib
Summary:	Perl module for the gtk+ GdkImlib library
Group:		Development/Perl

%package GtkHTML
Summary:	Perl module for the gtk+ GtkHTML library
Group:		Development/Perl
Provides:	perl(Gtk::HTML::Types)

%package GLArea
Summary:	Perl module for the gtk+ GLArea library
Group:		Development/Perl
Provides:	perl(Gtk::GLArea::Types)

%package Gnome
Summary:	Perl module for the gtk+ Gnome library
Group:		Development/Perl

%package Glade
Summary:	Perl module for the gtk+ Glade library
Group:		Development/Perl
Provides:	perl(Gtk::GladeXML::Types)

%if %{MozEmbed}
%package MozEmbed
Summary:	Perl module for the MozEmbed library
Group:		Development/Perl
%endif

%description
This module lets you use the gtk+ graphic library from perl.
It is very object-oriented and easy to use.

%description GdkImlib
see perl-GTK

%description GdkPixbuf
see perl-GTK

%description GtkHTML
see perl-GTK

%description GLArea
see perl-GTK

%description Gnome
see perl-GTK

%description Glade
see perl-GTK

%if %{MozEmbed}
%description MozEmbed
see perl-GTK
%endif

%prep
%setup -n %{real_name}-%{version} -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1 -b .gtkhtml11
%patch4 -p1 -b .moz
%patch7 -p1 -b .force
%patch8 -p1

# fix for new MakeMaker (ie new perl 5.8.0)
perl -pi -e '/CCCMD/ && s|/m;|/mg;|' */Makefile.PL

%build
for i in %{dirs}; do (
  cd $i
  %{__perl} Makefile.PL INSTALLDIRS=vendor --lazy-load
  %make OPTIMIZE="$RPM_OPT_FLAGS"
) done

%install
rm -rf "%{buildroot}"

for i in %{dirs}; do (
    cd $i
    %makeinstall_std
) done

rm -f %{buildroot}%{perl_vendorarch}/Gtk/GLArea/Glut.pm

%clean
rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{perl_vendorarch}/auto/Gtk
%{perl_vendorarch}/auto/Gtk/Gtk.so
%{perl_vendorarch}/auto/Gtk/autosplit.ix
%dir %{perl_vendorarch}/auto/Gtk/Gdk
%{perl_vendorarch}/auto/Gtk/Gdk/autosplit.ix
%dir %{perl_vendorarch}/Gtk
%{perl_vendorarch}/Gtk/Install
%{perl_vendorarch}/Gtk/Types.pm
%{perl_vendorarch}/Gtk/Keysyms.pm
%{perl_vendorarch}/Gtk/LogHandler.pm
%{perl_vendorarch}/Gtk/ColorSelectButton.pm
%{perl_vendorarch}/Gtk/Atoms.pm
%{perl_vendorarch}/Gtk/Gdk.pm
%{perl_vendorarch}/Gtk/CListModel.pm
%{perl_vendorarch}/Gtk/TypesLazy.pm
%{perl_vendorarch}/Gtk/io.pm
%{perl_vendorarch}/Gtk/lazy.pm
%{perl_vendorarch}/Gtk.pm
%{perl_vendorarch}/Gtk/LWP.pm
%dir %{perl_vendorarch}/Gtk/LWP
%{perl_vendorarch}/Gtk/LWP/http.pm
%{_mandir}/man3*/Gtk*.3pm*

%files GdkPixbuf
%defattr(-,root,root)
%{perl_vendorarch}/auto/Gtk/Gdk/*Pixbuf*
%dir %{perl_vendorarch}/Gtk/Gdk
%{perl_vendorarch}/Gtk/Gdk/*Pixbuf*

%files GdkImlib
%defattr(-,root,root)
%{perl_vendorarch}/auto/Gtk/Gdk/*Imlib*
%dir %{perl_vendorarch}/Gtk/Gdk
%{perl_vendorarch}/Gtk/Gdk/*Imlib*

%files GtkHTML
%defattr(-,root,root)
%{perl_vendorarch}/auto/Gtk/HTML*
%{perl_vendorarch}/Gtk/HTML*

%files GLArea
%defattr(-,root,root)
%{perl_vendorarch}/auto/Gtk/*GLArea*
%{perl_vendorarch}/Gtk/*GLArea*

%files Gnome
%defattr(-,root,root)
%doc Gtk/samples/test.pl
%{perl_vendorarch}/auto/Gnome
%{perl_vendorarch}/*Gnome*
%{_mandir}/man3*/Gnome*.3pm*

%files Glade
%defattr(-,root,root)
%{perl_vendorarch}/auto/Gtk/*Glade*
%{perl_vendorarch}/Gtk/*Glade*

%if %{MozEmbed}
%files MozEmbed
%defattr(-,root,root)
%{perl_vendorarch}/auto/Gtk/*MozEmbed*
%{perl_vendorarch}/Gtk/*MozEmbed*
%endif



%changelog
* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7009-5mdv2008.1
+ Revision: 152101
- rebuild
- fix mesaglu-devel BR

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7009-4mdv2008.1
+ Revision: 122675
- kill re-definition of %%buildroot on Pixel's request
- fix summary-ended-with-dot


* Mon Jan 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.7009-4mdk
- rebuild
- spec cleanup
- use same group as other perl modules
- %%mkrel

* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7009-3mdk
- rebuild for new perl

* Thu Nov 04 2004 Michael Scherer <misc@mandrake.org> 0.7009-2mdk
- Rebuild

* Fri Aug 22 2003 Franois Pons <fpons@mandrakesoft.com> 0.7009-1mdk
- 0.70009.

* Thu Aug 14 2003 Pixel <pixel@mandrakesoft.com> 0.7008-32mdk
- distlint DIRM fix: /usr/lib/perl5/vendor_perl/5.8.1/i386-linux-thread-multi/Gtk/Gdk owned by both perl-GTK-GdkPixbuf and perl-GTK-GdkImlib

* Wed Aug 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.7008-31mdk
- fix deps, dirs

* Wed Jun 11 2003 Pixel <pixel@mandrakesoft.com> 0.7008-30mdk
- remove Gtk::GLArea::Glut which require module OpenGL which we don't provide

* Tue May 13 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7008-29mdk
- add missing perl modules provides

* Mon May 12 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7008-28mdk
- rebuild for new perl provides/requires

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.7008-27mdk
- Rebuild against latest gal

* Sat Jan 25 2003 Stefan van der Eijk <stefan@eijk.nu> 0.7008-26mdk
- BuildRequires

